## org.dom4j.tree
Class AbstractText

    java.lang.Object
      org.dom4j.tree.AbstractNode
          org.dom4j.tree.AbstractCharacterData
              org.dom4j.tree.AbstractText

All Implemented Interfaces:
  CharacterData, Cloneable, Node, Serializable, Text

Direct Known Subclasses:
  FlyweightText

public abstract class AbstractText
extends AbstractCharacterData
implements Text

`AbstractText` is an abstract base class for tree implementors to use for implementation inheritence.

Version:
  $Revision: 1.10 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.dom4j.tree.AbstractNode
`NODE_TYPE_NAMES`

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`AbstractText()`

Method Summary
`void` `accept(Visitor visitor)` `accept` is the method used in the Visitor Pattern.
`String` `asXML()` `asXML` returns the textual XML representation of this node.
`short` `getNodeType()` Returns the code according to the type of node.
`String` `toString()`
`void` `write(Writer writer)` `write` writes this node as the default XML notation for this node.

Methods inherited from class org.dom4j.tree.AbstractCharacterData
`appendText, getPath, getUniquePath`

Methods inherited from class org.dom4j.tree.AbstractNode

`asXPathResult, clone, createPattern, createXPath, createXPathFilter, createXPathResult, detach, getDocument, getDocumentFactory, getName, getNodeTypeName, getParent, getPath, getStringValue, getText, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, setText, supportsParent, valueOf`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.dom4j.CharacterData
`appendText`

Methods inherited from interface org.dom4j.Node
`asXPathResult, clone, createXPath, detach, getDocument, getName, getNodeTypeName, getParent, getPath, getPath, getStringValue, getText, getUniquePath, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, setText, supportsParent, valueOf`

Constructor Detail

### AbstractText

    public AbstractText()

Method Detail

### getNodeType

    public short getNodeType()

  Description copied from interface: `Node`
  Returns the code according to the type of node. This makes processing nodes polymorphically much easier as the switch statement can be used instead of multiple if (instanceof) statements.

  Specified by:
    `getNodeType` in interface `Node`
  Overrides:
    `getNodeType` in class `AbstractNode`

### toString

    public String toString()

### asXML

    public String asXML()

  Description copied from interface: `Node`

  `asXML` returns the textual XML representation of this node.

  Specified by:
    `asXML` in interface `Node`
  Returns:
    the XML representation of this node

### write

    public void write(Writer writer)
               throws IOException

  Description copied from interface: `Node`

  `write` writes this node as the default XML notation for this node. If you wish to control the XML output (such as for pretty printing, changing the indentation policy etc.) then please use `XMLWriter` or its derivations.

  Specified by:
    `write` in interface `Node`
  Overrides:
    `write` in class `AbstractNode`
  Throws:
    `IOException`

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Node`

  `accept` is the method used in the Visitor Pattern.

  Specified by:
    `accept` in interface `Node`
  Parameters:
    `visitor` - is the visitor in the Visitor Pattern

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.